# Automatic Fuel

### About the Mod:
<b>from Aedenthorn's AutoFuel Mod </b>

### Rebuilt for Mistlands

This mod is a combination of my own code and scaled down version of Aedenthorn's AutoFuel mod.  

Credit goes to Aedenthorn for the idea and original mod.

This now autofuels torches, campfires, hearths plus smelters and kilns.
___
### AutoFuel for Kilns and Smelters
___
Fuels torches, campfires, hearths, kilns and smelters from items in chests or off the ground

A config file BepInEx/config/tastychickenlegs.automaticfuel.cfg is created after running the game once with this mod).

You can adjust the config values by editing this file using a text editor or in-game using the Config Manager﻿.
|Config Option|Definition
|---|---|
| fireplaceRange | The maximum range to pull fuel from containers for fireplaces|
|smelterOreRange| The maximum range to pull fuel from containers for smelters|
|smelterFuelRange| The maximum range to pull ore from containers for smelters|
|fuelDisallowTypes| Types of item to disallow as fuel (i.e. anything that is consumed), comma-separated.|
|oreDisallowTypes| Types of item to disallow as ore (i.e. anything that is transformed), comma-separated).|
|refuelStandingTorches| Refuel standing torches|
|refuelWallTorches| Refuel wall torches|
|refuelFirePits| Refuel fire pits|
|restrictKilnOutput| Restrict kiln output|
|restrictKilnOutputAmount| Amount of coal to shut off kiln fueling|
|distributedFilling| If true, refilling will occur one piece of fuel or ore at a time, making filling take longer but be better distributed between objects|
|leaveLastItem| Don't use last of item in chest|

Custom Toggle key to turn on and off mod in-game. 

You can adjust the ranges for containers and ground pulling (default 10 meters each).

You can reset the config by opening the in-game console (F5) and typing autofuel reset and pressing Enter.

___
### Installation: (manual)  
Extract DLL from zip file into "<GameDirectory>\Bepinex\plugins"  
Start the game.

### Version Information

1.1.2

- Fixed the toggle key

1.1.0

- added the options for torches, campfires and hearths

1.0.1

- initial release